Subject: Re: bug#5130: 23.1.50; Re: BibTeX completion via completion-in-region

From: Stefan Kangas <[email-masked]>
Date: Wed, 26 Aug 2020 08:18:13 -0700

"Roland Winkler" <[email-masked]> writes:

> Recently (2009-12-03) Stefan changed bibtex-complete-internal so
> that now it uses completion-in-region. This results in the following
> problem (as discussed already on emacs-devel):
>
> On Sat Dec 5 2009 Stefan Monnier wrote:
>> > - The return value of bibtex-complete-internal is used by
>> >   bibtex-complete-string-cleanup which displays the expansion of the
>> >   BibTeX string. Yet now this message can be hidden by the `Sole
>> >   completion' message issued by minibuffer-complete. Here I am
>> >   actually not sure what would be the best solution. I like the
>> >   message that tells me the expansion of the BibTeX string (I cannot
>> >   and will never be able to remember their meanings...). But I also
>> >   understand that a "Sole completion' message can be helpful. And I
>> >   know for sure that I am annoyed when one of these message is
>> >   delayed by the other.
>>
>> That's a problem, indeed.  Please bug-report it.
>
> A solution would be that BibTeX mode could set
> minibuffer-message-timeout to 0 so that minibuffer-message does not
> display its message. Instead bibtex-complete-string-cleanup could
> display in one message the expansion of the BibTeX string and
> whether this string was a "sole completion" or a "complete, but not
> unique" completion.

(That was over 10 years ago.)

In etc/NEWS for Emacs 27.1, we read:

*** When the minibuffer is active, echo-area messages are displayed at
the end of the minibuffer instead of hiding the minibuffer by the echo
area display.  The new user option 'minibuffer-message-clear-timeout'
controls how messages displayed in this situation are removed from the
minibuffer.

So I guess that has fixed the above problem?  Are you still able to
reproduce it using Emacs 27.1?

Best regards,
Stefan Kangas